import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import beforeEnter from './utils/beforeEnter'

// 公共css
import '@/assets/css/base.css'
import './assets/rem/rem.js'



// vant
import Vant from 'vant'
import 'vant/lib/index.css'

Vue.use(Vant)

import VueAwesomeSwiper from 'vue-awesome-swiper'
Vue.use(VueAwesomeSwiper, /* { default options with global component } */)



// 路由钩子函数
router.beforeEach(beforeEnter)

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
